#include <Wire.h>
#define ADDR 0x20 //PCF8775 A0-A2=GND

#define AIN1 60
#define AIN2 58
#define DIN 211
#define DOUT 81
#define PWM 64
#define PWMPIN 10

//DIGITAL OUT PINS PCF8575 P00-P07
//DIGITAL IN  PINS PCF8575 P10-P17

//ANALOG IN PINS A - B CLAB
byte Ains[]  = {0,1}; 
//BitValues
byte Bits[]  = {1,2,4,8,16,32,64,128};


void setup()
{Serial.begin(9600); //Special CLAB
 Wire.begin();
 Wire.beginTransmission(ADDR);
 Wire.write(0);
 Wire.write(0);
 Wire.endTransmission();
}

void loop()
{ int i, val, inbyte; byte b;
  val = Serial.available(); //Was da?
  if (val>0)
  {inbyte=Serial.read(); //abholen
   delay(5);
   switch(inbyte)
  { case 13  : //CLAB ID nur ab Compact 1.75!
               Serial.write(3);delay(2);break; //ID
    case PWM:  b=Serial.read(); //Ausgabebyte holen
               analogWrite(PWMPIN,b);
               break;
    case DIN : Wire.requestFrom(ADDR,2);
               Wire.read(); //P0
               Serial.write(Wire.read());
               Wire.endTransmission();
               break;
    case AIN1: 
    case 48:   Serial.write(analogRead(Ains[0])>>2);break;
    case AIN2: 
    case 49:   Serial.write(analogRead(Ains[1])>>2);break;
    case DOUT: b=Serial.read(); //Ausgabebyte holen
               Wire.beginTransmission(ADDR);
               Wire.write(b);
               Wire.write(0);
               Wire.endTransmission();
               break;
    default:   break;
  }
 }
 delay(5);
}
